<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_Main_Grid extends Mage_Adminhtml_Block_Widget_Grid
{
    const GRID_NAME = 'boxGrid';
    const COLLECTION_CLASS = 'oca/box';
    const HELPER_CLASS = 'oca';

    public function __construct()
    {
        parent::__construct();
        $this->setId(self::GRID_NAME);
    }

    protected function _toHtml()
    {
        return parent::_toHtml();
    }

    protected function _prepareCollection()
    {
        $model = Mage::getModel(self::COLLECTION_CLASS);
        $collection = $model->getCollection();
        $this->setCollection($collection);

        return parent::_prepareCollection();
    }

    protected function _getHelper()
    {
        return Mage::helper(self::HELPER_CLASS);
    }

    protected function _prepareColumns()
    {
        //specific for this class
        $this->addColumn(
            'description',
            array(
                'header'        => $this->_getHelper()->__('Description'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'description',
                'index'         => 'description',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

        $this->addColumn(
            'height',
            array(
                'header'        => $this->_getHelper()->__('Height'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'height',
                'index'         => 'height',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

        $this->addColumn(
            'width',
            array(
                'header'        => $this->_getHelper()->__('Width'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'width',
                'index'         => 'width',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

        $this->addColumn(
            'length',
            array(
                'header'        => $this->_getHelper()->__('Length'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'length',
                'index'         => 'length',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

        $this->addColumn(
            'is_default',
            array(
                'header'        => $this->_getHelper()->__('Default'),
                'align'         => 'left',
                'width'         => '150px',
                'filter'        => false,
                'sortable'      => false,
                'index'         => 'is_default',
                'renderer'      => 'SemExpert_Oca_Block_Box_IsDefault_Renderer',
                'escape'        => false,
            )
        );

        return parent::_prepareColumns();
    }
    
        
    public function getRowUrl($row)
    {
        return $this->getUrl('*/*/edit', array('id' => $row->getId()));
    }
}