<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Sales_Order_Shipment_Items
extends Mage_Sales_Block_Order_Shipment_Items
{
    public function getPrintShipmentUrl($shipment)
    {
        if ($shipment->getData('oca_elocker_orden_retiro') && $shipment->getShippingLabel()) {
            return Mage::getUrl('epak/tracking/label', array('shipment_id' => $shipment->getId()));
        }

        return parent::getPrintShipmentUrl($shipment);
    }

    public function getPrintAllShipmentsUrl(Mage_Sales_Model_Order $order)
    {
        $shipments = Mage::getModel('sales/order_shipment')->getCollection()
            ->addFieldToFilter('order_id', array('eq', $order->getId()));

        foreach ($shipments as $shipment) {
            if ($shipment->getData('oca_elocker_orden_retiro') && $shipment->getShippingLabel()) {
                return Mage::getUrl('epak/tracking/label', array('shipment_id' => $shipment->getId()));
            }
        }

        return parent::getPrintAllShipmentsUrl($order);
    }
}
