<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Catalog_Product_Attribute_Source_Size
extends Mage_Eav_Model_Entity_Attribute_Source_Abstract
{
    private $_sizes = array(
      '2' => array(
        "largo" => 13,
        "ancho" => 31,
        "profundidad" => 52,
        "alto" => 52,
        "descripcion" => "Pequeño (13x31x52)"
      ),
      '3' => array(
        "largo" => 28,
        "ancho" => 31,
        "profundidad" => 52,
        "alto" => 52,
        "descripcion" => "Mediano (28x31x52)"
      ),
      '15' => array(
        "largo" => 43,
        "ancho" => 31,
        "profundidad" => 52,
        "alto" => 52,
        "descripcion" => "Grande (43x31x52)"
      ),
    );

    protected $_options;

    /**
     * @param $sizeId
     * @return mixed
     */
    public function getSize($sizeId)
    {
        if (!isset($this->_sizes[$sizeId])) {
            return false;
        }

        return $this->_sizes[$sizeId];
    }

    public function getSizes()
    {
        return $this->_sizes;
    }
    
    /**
     * Retrieve all attribute options
     *
     * @return array
     */
    public function getAllOptions()
    {
        if (!$this->_options) {
            $this->_options = array(array('label' => '', 'value' => ''));
            foreach ($this->_sizes as $key => $size) {
                $this->_options[] = array(
                    'label' => $size['descripcion'],
                    'value' => $key
                );
            }
        }
        return $this->_options;
    }

    /**
     * Copied from Mage_Bundle_Model_Product_Attribute_Source_Price_View
     *
     * @return array
     */
    public function getFlatColums()
    {
        $attributeCode = $this->getAttribute()->getAttributeCode();
        $column = array(
            'unsigned'  => false,
            'default'   => null,
            'extra'     => null
        );

        $core = Mage::helper('core');
        /* @var Mage_Core_Helper_Data $core */

        /**
         * No tengo idea de para qué es este checkeo...
         *
         *                          - Barbazul
         */
        if ($core->useDbCompatibleMode()) {
            $column['type']     = 'int';
            $column['is_null']  = true;
        } else {
            $column['type']     = Varien_Db_Ddl_Table::TYPE_INTEGER;
            $column['nullable'] = true;
            $column['comment']  = 'Oca box size ' . $attributeCode . ' column';
        }

        return array($attributeCode => $column);
    }

    /**
     * Copied from Mage_Bundle_Model_Product_Attribute_Source_Price_View
     *
     * Retrieve Select for update Attribute value in flat table
     *
     * @param   int $store
     * @return  Varien_Db_Select|null
     */
    public function getFlatUpdateSelect($store)
    {
        return Mage::getResourceModel('eav/entity_attribute_option')
            ->getFlatUpdateSelect($this->getAttribute(), $store, false);
    }
}
