<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Elocker extends Mage_Core_Model_Abstract
{
    public function getLongDescription()
    {
        $retval = $this->getDescripcion();

        $parts = array();

        if ($this->getAddress()) {
            $parts[] = $this->getAddress();
        }

        if ($this->getLocalidad()) {
            $parts[] = $this->getLocalidad();
        }

        if ($this->getProvincia() && $this->getProvincia() != $this->getLocalidad()) {
            $parts[] = $this->getProvincia();
        }

        $detail = ucwords(strtolower(implode(', ', $parts)));

        if (!empty($detail)) {
            $retval = "Elocker $retval ubicado en $detail";
        }

        return $retval;
    }

    public function getAddress()
    {
        $parts = array();

        if (!$this->getData('address')) {
            foreach (array('calle', 'numero', 'piso') as $dato) {
                if ($this->getData($dato)) {
                    $parts[] = $this->getData($dato);
                }
            }

            $this->setData('address', implode(' ', $parts));
        }

        return $this->getData('address');
    }
}
