<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Test_Helper_Data extends EcomDev_PHPUnit_Test_Case
{

    /**
     * @var SemExpert_Oca_Helper_Data
     */
    protected $_object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->_object = Mage::helper('oca');
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::prepareZipcode
     * @dataProvider dataProvider
     */
    public function testPrepareZipcode($data)
    {
        $this->assertEquals(
            $data['expected'], $this->_object->prepareZipcode($data['zipcode'])
        );
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::getCuit
     */
    public function testGetCuitMissing()
    {
        $this->assertFalse(
            $this->_object->getCuit()
        );
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::getCuit
     * @loadFixture
     */
    public function testGetCuitTooLong()
    {
        $this->assertFalse(
            $this->_object->getCuit()
        );
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::getCuit
     * @loadFixture
     */
    public function testGetCuitTooShort()
    {
        $this->assertFalse(
            $this->_object->getCuit()
        );
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::getCuit
     * @loadFixture
     */
    public function testGetCuitNumeric()
    {
        $this->assertFalse(
            $this->_object->getCuit()
        );
    }

    /**
     * @covers SemExpert_Oca_Helper_Data::getCuit
     * @loadFixture
     */
    public function testGetCuit()
    {
        $this->assertEquals(
            '12-34567890-1', $this->_object->getCuit()
        );
    }

}

