<?php

/**
 * Created by PhpStorm.
 * User: barbazul
 * Date: 27/01/16
 * Time: 16:46
 */
class SemExpert_Oca_Test_Model_Ws_Ms_Adapter_CIxCPResponseIsParsed extends EcomDev_PHPUnit_Test_Case
{
    /**
     * @var SemExpert_Oca_Model_Ws_Ms_Adapter
     */
    private $_model;

    public function setUp()
    {
        parent::setUp();

        $this->_model = $this->getMockBuilder('SemExpert_Oca_Model_Ws_Ms_Adapter')
            ->setMethods(array('getClient'))
            ->getMock();

        $soapClient = $this->getMockFromWsdl(Mage::getModuleDir('etc', 'SemExpert_Oca') . '/oca.wsdl');

        /* @codingStandardsIgnoreStart */
        $soapResponse = new stdClass();
        $soapResponse->GetCentrosImposicionPorCPResult = new stdClass();
        $soapResponse->GetCentrosImposicionPorCPResult->any = '<diffgr:diffgram xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1"><NewDataSet xmlns=""><Table diffgr:id="Table1" msdata:rowOrder="0"><idCentroImposicion>106</idCentroImposicion><IdSucursalOCA>87</IdSucursalOCA><Sigla>VLG</Sigla><Descripcion>VILLA GESELL                  </Descripcion><Calle>BUENOS AIRES                  </Calle><Numero>989  </Numero><Torre xml:space="preserve"> </Torre><Piso xml:space="preserve">     </Piso><Depto xml:space="preserve">    </Depto><Localidad>VA.GESELL                </Localidad><IdProvincia>2</IdProvincia><idCodigoPostal>18099</idCodigoPostal><Telefono>02255-463959   </Telefono><eMail/><Provincia>BUENOS AIRES                  </Provincia><CodigoPostal>7165    </CodigoPostal><std>1</std><pri>1</pri></Table><Table diffgr:id="Table2" msdata:rowOrder="1"><idCentroImposicion>132</idCentroImposicion><IdSucursalOCA>87</IdSucursalOCA><Sigla>PNM</Sigla><Descripcion>PINAMAR                       </Descripcion><Calle>BUNGE                         </Calle><Numero>1596 </Numero><Torre xml:space="preserve"> </Torre><Piso xml:space="preserve">     </Piso><Depto>L 2 </Depto><Localidad>PINAMAR                  </Localidad><IdProvincia>2</IdProvincia><idCodigoPostal>17927</idCodigoPostal><Telefono>02254 - 484959 </Telefono><eMail/><Provincia>BUENOS AIRES                  </Provincia><CodigoPostal>7167    </CodigoPostal><std>1</std><pri>1</pri></Table></NewDataSet></diffgr:diffgram>';
        /* @codingStandardsIgnoreEnd */

        $soapClient->method('GetCentrosImposicionPorCP')->willReturn($soapResponse);
        $this->_model->method('getClient')->willReturn($soapClient);
    }

    /**
     * @test
     * @group unit
     * @covers SemExpert_Oca_Model_Ws_Ms_Adapter::getCentrosImposicionPorCP
     */
    public function execute()
    {
        $result = $this->_model->getCentrosImposicionPorCP(7165);

        /* @codingStandardsIgnoreStart */
        $this->assertInstanceOf('SimpleXmlElement', $result);
        $this->assertEquals(2, count($result->Table));
        /* @codingStandardsIgnoreEnd */
    }
}