<?php

/**
 * Created by PhpStorm.
 * User: barbazul
 * Date: 27/01/16
 * Time: 16:46
 */
class SemExpert_Oca_Test_Model_Ws_Ms_Adapter_ORResponseIsParsed extends EcomDev_PHPUnit_Test_Case
{
    /**
     * @var SemExpert_Oca_Model_Ws_Ms_Adapter
     */
    private $_model;

    public function setUp()
    {
        parent::setUp();

        $this->_model = $this->getMockBuilder('SemExpert_Oca_Model_Ws_Ms_Adapter')
            ->setMethods(array('getClient'))
            ->getMock();

        $soapClient = $this->getMockFromWsdl(Mage::getModuleDir('etc', 'SemExpert_Oca') . '/oca.wsdl');

        /* @codingStandardsIgnoreStart */
        $soapResponse = new stdClass();
        $soapResponse->IngresoORResult = new stdClass();
        $soapResponse->IngresoORResult->any =
            '<diffgr:diffgram xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" '
            . 'xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1">'
            . '<Resultado xmlns=""><Resumen diffgr:id="Resumen1" '
            . 'msdata:rowOrder="0"><CodigoOperacion>15332112</CodigoOperacion>'
            . '<FechaIngreso>2016-01-27T18:59:33.793-03:00</FechaIngreso>'
            . '<mailUsuario>oca@semexpert.com.ar</mailUsuario><origen/>'
            . '<CantidadRegistros>1</CantidadRegistros>'
            . '<CantidadIngresados>1</CantidadIngresados>'
            . '<CantidadRechazados>0</CantidadRechazados></Resumen>'
            . '</Resultado></diffgr:diffgram>';
        /* @codingStandardsIgnoreEnd */

        $soapClient->method('IngresoOR')->willReturn($soapResponse);
        $this->_model->method('getClient')->willReturn($soapClient);
    }

    /**
     * @test
     * @group unit
     * @covers SemExpert_Oca_Model_Ws_Ms_Adapter::exec_ingreso_or
     */
    public function execute()
    {
        $result = $this->_model->exec_ingreso_or(
            'http://example.com/?wsdl',
            'IngresoOR',
            array(),
            'CodigoOperacion'
        );

        /* @codingStandardsIgnoreStart */
        $this->assertInstanceOf('SimpleXmlElement', $result);
        $this->assertEquals(15332112, (string)$result->Resumen->CodigoOperacion);
        /* @codingStandardsIgnoreEnd */
    }
}