<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_ShipmentController
extends Mage_Adminhtml_Controller_Action
{
    public function printLabelAction()
    {
        try {
            $shipment = $this->_initShipment();
            $labelContent = $shipment->getShippingLabel();

            $printCommand = <<<EOF
<script type="text/javascript">window.print();</script>
EOF;
            
            if ($labelContent) {
                $this->getResponse()->setBody($shipment->getShippingLabel() . $printCommand);
            }
            return;
        } catch (Mage_Core_Exception $e) {
            $this->_getSession()->addError($e->getMessage());
        } catch (Exception $e) {
            Mage::logException($e);
            $this->_getSession()
                ->addError(Mage::helper('sales')->__('An error occurred while creating shipping label.'));
        }
        $this->_redirect(
            'adminhtml/sales_order_shipment/view',
            array('shipment_id' => $this->getRequest()->getParam('shipment_id'))
        );
    }

    /**
     * Initialize shipment model instance
     *
     * @return Mage_Sales_Model_Order_Shipment|bool
     */
    protected function _initShipment()
    {
        $this->_title($this->__('Sales'))->_title($this->__('Shipments'));

        $shipment = false;
        $shipmentId = $this->getRequest()->getParam('shipment_id');
        if ($shipmentId) {
            $shipment = Mage::getModel('sales/order_shipment')->load($shipmentId);
        } else {
            Mage::throwException("Envío no encontrado");
        }

        Mage::register('current_shipment', $shipment);
        return $shipment;
    }
}
