<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class  SemExpert_Oca_Block_Adminhtml_Sales_Order_Shipment_View_Form 
extends Mage_Adminhtml_Block_Sales_Order_Shipment_View_Form
{
    public function getShowOcaLabel()
    {
        $shipment = $this->getShipment();
        return $shipment->getData('oca_elocker_orden_retiro') && $shipment->getShippingLabel();
    }

    protected function _getRealModuleName()
    {
        return "Mage_Adminhtml";
    }

    public function getUrlEtiqueta()
    {
        $shipment = $this->getShipment();
        return Mage::helper("adminhtml")->getUrl('oca/admin/label', array('shipment_id' => $shipment->getId()));
    }

    /**
     * Get print label button html
     *
     * @return string
     */
    public function getPrintLabelButton()
    {
        if ($this->getShipment() && $this->getShipment()->getShippingLabel()
            ) {

            $labelContent = $this->getShipment()->getShippingLabel();

            if (stripos($labelContent, 'DOCTYPE html') !== false) {
                $data['shipment_id'] = $this->getShipment()->getId();
                $url = $this->getUrl('oca/shipment/printLabel', $data);
                return $this->getLayout()
                    ->createBlock('adminhtml/widget_button')
                    ->setData(
                        array(
                            'label'   => Mage::helper('sales')->__('Print Shipping Label'),
                            'onclick' => 'window.open(\'' . $url . '\')'
                        )
                    )->toHtml();
            }

        }

        return parent::getPrintLabelButton();
    }
}
