<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_Edit
extends Mage_Adminhtml_Block_Widget_Form_Container
{
    // block is self::BLOCK_CLASS . '/' . self::BLOCK_PREFIX . '_' . self::BLOCK_MODE
    const BLOCK_CLASS = 'oca';
    const BLOCK_PREFIX = 'box';
    const BLOCK_MODE = 'edit';

    const OBJECT_CLASS = 'oca/box';
    const REGISTRY_CURRENT_NAME = 'current_box';

    const HELPER_CLASS = 'oca';

    const EDIT_TITLE = "Edit Box '%s'";
    const NAME_FIELD = 'description';
    
    public function __construct()
    {
        parent::__construct();

        $this->_blockGroup = self::BLOCK_CLASS;
        $this->_mode = self::BLOCK_MODE;
        $this->_controller = self::BLOCK_PREFIX;

        if ($this->getRequest()->getParam($this->_objectId)) {
            $object = Mage::getModel(self::OBJECT_CLASS)
                ->load($this->getRequest()->getParam($this->_objectId));
            Mage::register(self::REGISTRY_CURRENT_NAME, $object);
        }
    }

    public function getHeaderText()
    {
        return $this->_getHelper()->__(
            self::EDIT_TITLE,
            $this->escapeHtml(
                Mage::registry(self::REGISTRY_CURRENT_NAME)->getData(self::NAME_FIELD)
            )
        );
    }

    protected function _getHelper()
    {
        return Mage::helper(self::HELPER_CLASS);
    }
}
