<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
abstract class SemExpert_Oca_Block_Branch_Form extends Mage_Adminhtml_Block_Widget_Form
{
    /**
     * @SuppressWarnings(PHPMD.ExcessiveMethodLength)
     */
    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();

        $fieldset = $form->addFieldset(
            $this->getFormAction(),
            array('legend' => Mage::helper('oca')->__('Branch Details'))
        );

        $fieldset->addField(
            'code',
            'text',
            array(
                'name'      => 'code',
                'class'     => 'validate-number',
                'title'     => Mage::helper('oca')->__('OCA Code'),
                'label'     => Mage::helper('oca')->__('OCA Code'),
                'maxlength' => '250',
                'required'  => true,
            )
        );

        $fieldset->addField(
            'short_name',
            'text',
            array(
                'name'      => 'short_name',
                'title'     => Mage::helper('oca')->__('Short Name'),
                'label'     => Mage::helper('oca')->__('Short Name'),
                'maxlength' => '250',
                'required'  => true,
            )
        );

        $fieldset->addField(
            'description',
            'text',
            array(
                'name'      => 'description',
                'title'     => Mage::helper('oca')->__('Description'),
                'label'     => Mage::helper('oca')->__('Description'),
                'maxlength' => '250',
                'required'  => true,
            )
        );

        $fieldset->addField(
            'address_street',
            'text',
            array(
                'name'      => 'address_street',
                'title'     => Mage::helper('oca')->__('Address Street'),
                'label'     => Mage::helper('oca')->__('Address Street'),
                'maxlength' => '250',
                'required'  => true,
            )
        );
        
        $fieldset->addField(
            'address_number',
            'text',
            array(
                'name'      => 'address_number',
                'title'     => Mage::helper('oca')->__('Address Number'),
                'label'     => Mage::helper('oca')->__('Address Number'),
                'validate' => 'is-numeric',
                'maxlength' => '250',
                'required'  => true,
            )
        );
        
        $fieldset->addField(
            'locality',
            'text',
            array(
                'name'      => 'locality',
                'title'     => Mage::helper('oca')->__('Locality'),
                'label'     => Mage::helper('oca')->__('Locality'),
                'maxlength' => '250',
                'required'  => true,
            )
        );
        
        $fieldset->addField(
            'zipcode',
            'text',
            array(
                'name'      => 'zipcode',
                'title'     => Mage::helper('oca')->__('Zipcode'),
                'label'     => Mage::helper('oca')->__('Zipcode'),
                'validate' => 'is-numeric',
                'maxlength' => '4',
                'required'  => true,
            )
        );

        $form->setMethod('post');
        $form->setUseContainer(true);
        $form->setId('edit_form');
        $this->childFormSetup($fieldset, $form);
        $this->setForm($form);
    }

    abstract public function getFormAction();
    abstract public function childFormSetup($fieldset, $form);
}
