<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Mass_Send_Form
extends Mage_Adminhtml_Block_Widget_Form
{
    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();

        $fieldset = $form->addFieldset(
            $this->getFormAction(),
            array('legend' => Mage::helper('oca')->__('Seleccione la operatoria a utilizar'))
        );

        $fieldset->addField(
            'operatory',
            'select',
            array(
                'name'      => 'operatory',
                'options'   => Mage::getModel('oca/source_operatory')->getOptionArray(),
                'title'     => Mage::helper('oca')->__('Operatoria'),
                'label'     => Mage::helper('oca')->__('Operatoria'),
                'required'  => true,
            )
        );

        $form->setMethod('post');
        $form->setUseContainer(true);

        $form->setId('edit_form');

        $this->childFormSetup($fieldset, $form);

        $this->setForm($form);
    }

    public function childFormSetup($fieldset, $form)
    {
        $form->setAction($this->getUrl('*/*/schedule'));
        $fieldset->addField('order_ids', 'hidden', array('name' => 'order_ids'));


        $form->setValues(array('order_ids' => Mage::registry('order_ids')));
        //$form->setDataObject(Mage::registry('current_branch'));
    }

    public function getFormAction()
    {
        return 'edit_branch';
    }
}
