<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Shipment_Label
extends Mage_Core_Block_Abstract
{
    protected function _toHtml()
    {
        $retval = '';
        $shipmentId = $this->getShipmentId();
        if ($shipmentId) {
            $shipment = Mage::getModel('sales/order_shipment')->load($shipmentId);

            $canShow = !$this->getCheckUser() ||
                ($this->getUser()
                    && $shipment->getOrder()->getCustomerId() == $this->getUser());

            if ($shipment->getShippingLabel() && $canShow) {
                $text = $shipment->getShippingLabel();

                if (!preg_match('/UTF/i', $text)) {
                    $text = str_replace(
                        '<head>',
                        '<head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">',
                        $text
                    );
                }
                $retval = $text;
                $retval .= <<<EOF
<script type="text/javascript">window.print();</script>
EOF;
            }
        }

        return $retval;
    }
}
