<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Operatory extends Mage_Core_Model_Abstract
{
    
    public function __construct( ) 
    {
        $this->_init('oca/operatory');
    }
    
    public function loadByCode($code)
    {
        // usamos like por trailing spaces
        $collection = Mage::getModel('oca/operatory')->getCollection()
            ->addFieldToFilter('code', array('like' => "%" . trim($code) . "%"));
        
        foreach ($collection as $operatory) {
            // por si trajimos alguno que no era
            if ($operatory->getCode() == $code) {
                return $operatory;
            }
        }
        
        return null;
    }
    
    public function getCode()
    {
        $code = trim($this->_getData('code'));
        if (!is_numeric($code)) {
            return 0;
        }
        
        return $code;
    }

    public function getCalculator()
    {
        $class = Mage::getModel('oca/source_operatory_calculator')->getCalculator($this->getCalculatorMethod());

        return Mage::getModel($class);
    }
}
