<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Rate_Calculator_Ws
extends Mage_Core_Model_Abstract
{
    public function calculate($param)
    {
        $params = array(
            'PesoTotal' => $param->getWeight(),
            'VolumenTotal' => $param->getVolume(),
            'CodigoPostalOrigen' => $param->getSenderZipcode(), //1424,
            'CodigoPostalDestino' => $param->getReceiverZipcode(),
            'CantidadPaquetes' => $param->getQuantityOfPackages(),
            'Cuit' => $param->getCuit(), //'30-70932889-4',
            'Operativa' => $param->getOperatoryCode() //'65916'
        );

        $wsOca =  Mage::getModel('oca/ws_ms_adapter');
        $service = 'Tarifar_Envio_Corporativo';

        $wsdl = Mage::getStoreConfig('oca/ws/url');

        try {
            $result = $wsOca->exec_soap_call($wsdl, $service, $params, 'Total');
            // @codingStandardsIgnoreStart
            return isset($result->Total) ? (string) $result->Total : false;
            // @codingStandardsIgnoreEnd
        } catch (Exception $e) {
            Mage::logException($e);
        }

        return false;
    }
}
