<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Test_Helper_Elockers_CompatibleProductsValidateExist
extends EcomDev_PHPUnit_Test_Case
{
    /**
     * @var SemExpert_Oca_Helper_Elockers $_helper
     */
    private $_helper;

    public function setUp()
    {
        parent::setUp();
        $this->_helper = new SemExpert_Oca_Helper_Elockers();
    }

    /**
     * @test
     * @covers SemExpert_Oca_Helper_Elockers::productsCompatibleWithElockers
     * @group unit
     */
    public function execute()
    {
        $this->assertFalse(
            $this->_helper->productsCompatibleWithElockers(array())
        );

        $this->assertEquals(
            SemExpert_Oca_Helper_Elockers::NO_ITEMS,
            $this->_helper->lastValidationError
        );

        $this->assertFalse(
            $this->_helper->productsCompatibleWithElockers(array(99 => 1))
        );

        $this->assertEquals(
            SemExpert_Oca_Helper_Elockers::MISSING_ITEMS,
            $this->_helper->lastValidationError
        );
    }
}