<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$this->startSetup();

$installer = new Mage_Catalog_Model_Resource_Setup('catalog_setup');

$productTypes = array(
    Mage_Catalog_Model_Product_Type::TYPE_SIMPLE,
    Mage_Catalog_Model_Product_Type::TYPE_BUNDLE,
    Mage_Catalog_Model_Product_Type::TYPE_CONFIGURABLE,
);
$productTypes = join(',', $productTypes);

$installer->addAttribute(
    Mage_Catalog_Model_Product::ENTITY,
    'oca_can_share_box',
    array(
        'backend'       => 'catalog/product_attribute_backend_boolean',
        'frontend'      => '',
        'label'         => 'Puede compartir caja',
        'input'         => 'select',
        'source'        => 'eav/entity_attribute_source_boolean',
        'global'        => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_WEBSITE,
        'visible'       => true,
        'required'      => false,
        'user_defined'  => false,
        'default'       => '0',
        'apply_to'      => $productTypes,
        'visible_on_front' => false,
        'used_in_product_listing' => true
    )
);

$this->endSetup();
