<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;

$installer->startSetup();

$tableName = $this->getTable('oca/box');

$table = new Varien_Db_Ddl_Table();
$table->setName($tableName);

$table->addColumn(
    'box_id',
    Varien_Db_Ddl_Table::TYPE_INTEGER,
    11,
    array('auto_increment' => true, 'primary' => true),
    "Id de la caja"
);

$table->addColumn(
    'description',
    Varien_Db_Ddl_Table::TYPE_VARCHAR,
    50,
    array(),
    'Descripción de la caja'
);

$table->addColumn(
    'height',
    Varien_Db_Ddl_Table::TYPE_INTEGER,
    null,
    array('scale' => 12, 'precision' => 4),
    "Altura de la caja"
);

$table->addColumn(
    'width',
    Varien_Db_Ddl_Table::TYPE_INTEGER,
    null,
    array('scale' => 12, 'precision' => 4),
    "Ancho de la caja"
);

$table->addColumn(
    'length',
    Varien_Db_Ddl_Table::TYPE_INTEGER,
    null,
    array('scale' => 12, 'precision' => 4),
    "Largo de la caja"
);

$table->addColumn(
    'is_default',
    Varien_Db_Ddl_Table::TYPE_BOOLEAN,
    null,
    array(),
    'Es la caja por defecto'
);

$table->setOption('engine', 'InnoDb');
$table->setOption('charset', 'utf8');

$this->getConnection()->createTable($table);

$installer->endSetup();