<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Operatory_Edit_Form extends SemExpert_Oca_Block_Operatory_Form
{
    public function childFormSetup($fieldset, $form) 
    {
        $fieldset->addField(
            'active',
            'select',
            array(
                'label'     => Mage::helper('oca')->__('Status'),
                'title'     => Mage::helper('oca')->__('Status'),
                'name'      => 'active',
                'required'  => true,
                'options'   => array(
                    '1' => Mage::helper('oca')->__('Enabled'),
                    '0' => Mage::helper('oca')->__('Disabled'),
                ),
            )
        );

        $form->setAction($this->getUrl('*/*/save'));
        $form->addField('operatory_id', 'hidden', array('name' => 'operatory_id'));

        $form->setValues(Mage::registry('current_operatory')->getData());
        $form->setDataObject(Mage::registry('current_operatory'));
    }

    public function getFormAction() 
    {
        return 'edit_operatory';
    }

}