<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Rate_Calculator_Fixed extends Mage_Core_Model_Abstract
{
    public function calculate($params)
    {
        $code = $params->getOperatoryCode();
        $operatory = Mage::getModel('oca/operatory')->loadByCode($code);

        if (!$operatory) {
            Mage::log(
                "No se encontró operatoria $code al calcular tarifa en " . __CLASS__,
                null,
                'oca_error.log',
                true
            );
            return 0;
        }

        return floatval($operatory->getFixedRate());
    }
}
