<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Rate_Calculator_Ws
extends Mage_Core_Model_Abstract
{
    public function calculate($param)
    {
        $params = array(
            'PesoTotal' => $param->getWeight(),
            'VolumenTotal' => $param->getVolume(),
            'CodigoPostalOrigen' => $param->getSenderZipcode(), //1424,
            'CodigoPostalDestino' => $param->getReceiverZipcode(),
            'CantidadPaquetes' => $param->getQuantityOfPackages(),
            'Cuit' => $param->getCuit(), //'30-70932889-4',
            'Operativa' => $param->getOperatoryCode() //'65916'
        );

        $wsOca = $this->getClient();
        $service = 'Tarifar_Envio_Corporativo';
        $wsdl = $this->getWsdl();

        try {
            $result = $wsOca->exec_soap_call($wsdl, $service, $params, 'Total');

            /**
             * Devuelvo el Precio y no el Total ya que como el WS no soporta
             * que se indique el valor del paquete, el total incluye el seguro
             * minimo y no el que realmente corresponde.
             * De esta manera, estamos calculando el seguro nuevamente nosotros
             * sobre el precio base indicado por Oca
             */
            // @codingStandardsIgnoreStart
            return isset($result->Precio) ? (string) $result->Precio : false;
            // @codingStandardsIgnoreEnd
        } catch (Exception $e) {
            Mage::logException($e);
        }

        return false;
    }

    public function getClient()
    {
        if (!$this->getData('client')) {
            $this->setData('client', Mage::getModel('oca/ws_ms_adapter'));
        }

        return $this->getData('client');
    }

    public function getWsdl()
    {
        return Mage::getStoreConfig('oca/ws/url');
    }
}
