<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Sender_Job
extends Mage_Core_Model_Abstract
{
    const LOG_FILE = "oca_batch.log";

    public function massive()
    {
        $sender = Mage::getModel('oca/batch_sender');

        $orders = Mage::getModel('sales/order')->getCollection()
            ->addFieldToFilter('send_to_oca', array('eq' => 1));

        foreach ($orders as $order) {
            $id = $order->getIncrementId();
            $this->_log("Procesando $id");
            if ($order->canShip()) {
                try {
                    $sender->ship($order);
                    $this->_log("$id enviada");
                    $order->setSendToOca(false)->save();
                } catch (Exception $e) {
                    Mage::logException($e);
                    $this->_log("Error al procesar $id: " . $e->getMessage());
                }
            } else {
                $this->_log("No se puede enviar $id");
                $order->setSendToOca(false)->save();
            }
        }
    }

    protected function _log($message)
    {
        Mage::log($message, null, self::LOG_FILE);
    }
}
