<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
/**
 * Created by PhpStorm.
 * User: barbazul
 * Date: 12/02/16
 * Time: 11:19
 */
class SemExpert_Oca_Test_Model_Rate_Calculator_Ws_RateWithInsurance
extends EcomDev_PHPUnit_Test_Case
{
    private $_model;

    public function setUp()
    {
        parent::setUp();
        $this->_model = new SemExpert_Oca_Model_Rate_Calculator_Ws();

        $client = $this->getMockBuilder('SemExpert_Oca_Model_Ws_Ms_Adapter')
            ->setMethods(array('exec_soap_call'))
            ->getMock();

        $result = new stdClass();

        // @codingStandardsIgnoreStart
        $result->Tarifador = 24;
        $result->Precio = 93.57;
        $result->idTiposervicio = 3;
        $result->Ambito = 'Nacional 1';
        $result->PlazoEntrega = 3;
        $result->Adicional = 6.0; // Corresponde al valor minimo del seguro mal calculado por Oca
        $result->Total = 99.57;
        $result->XML = '<row Tarifador="24" Precio="93.5700"/>';
        // @codingStandardsIgnoreEnd

        $client->method('exec_soap_call')->willReturn($result);

        $this->_model->setClient($client);
    }

    /**
     * @test
     * @group unit
     * @ticket 7582
     * @covers SemExpert_Oca_Model_Rate_Calculator_Ws
     */
    public function execute()
    {
        $request = new Varien_Object(
            array(
                'weight' => 0.75,
                'volume' => 1,
                'sender_zipcode' => 5000,
                'receiver_zipcode' => 1430,
                'quantity_of_packages' => 1,
                'cuit' => '30-12345678-1',
                'operatory_code' => '123456'
            )
        );

        $result = $this->_model->calculate($request);

        $this->assertEquals(93.57, $result);
    }
}