<?php

/**
 * Created by PhpStorm.
 * User: barbazul
 * Date: 27/01/16
 * Time: 16:46
 */
class SemExpert_Oca_Test_Model_Ws_Ms_Adapter_SoapResponseIsParsed extends EcomDev_PHPUnit_Test_Case
{
    /**
     * @var SemExpert_Oca_Model_Ws_Ms_Adapter
     */
    private $_model;

    public function setUp()
    {
        parent::setUp();

        $this->_model = $this->getMockBuilder('SemExpert_Oca_Model_Ws_Ms_Adapter')
            ->setMethods(array('getClient'))
            ->getMock();

        $soapClient = $this->getMockFromWsdl(Mage::getModuleDir('etc', 'SemExpert_Oca') . '/oca.wsdl');

        /* @codingStandardsIgnoreStart */
        $soapResponse = new stdClass();
        $soapResponse->Tarifar_Envio_CorporativoResult = new stdClass();
        $soapResponse->Tarifar_Envio_CorporativoResult->any =
            '<diffgr:diffgram xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" '
            . 'xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1">'
            . '<NewDataSet xmlns=""><Table diffgr:id="Table1" '
            . 'msdata:rowOrder="0"><Tarifador>15</Tarifador>'
            . '<Precio>51.1400</Precio><idTiposervicio>1</idTiposervicio>'
            . '<Ambito>Local</Ambito><PlazoEntrega>3</PlazoEntrega>'
            . '<Adicional>0.0000</Adicional><Total>51.1400</Total>'
            . '<XML>&lt;row Tarifador="15" Precio="51.1400"/&gt;</XML></Table>'
            . '</NewDataSet></diffgr:diffgram>';
        /* @codingStandardsIgnoreEnd */

        $soapClient->method('Tarifar_Envio_Corporativo')->willReturn($soapResponse);
        $this->_model->method('getClient')->willReturn($soapClient);
    }

    /**
     * @test
     * @group unit
     * @covers SemExpert_Oca_Model_Ws_Ms_Adapter::exec_soap_call
     */
    public function execute()
    {
        $result = $this->_model->exec_soap_call(
            'http://example.com/?wsdl',
            'Tarifar_Envio_Corporativo',
            array(),
            'Total'
        );

        /* @codingStandardsIgnoreStart */
        $this->assertInstanceOf('SimpleXmlElement', $result);
        $this->assertEquals(51.14, (float)$result->Total);
        /* @codingStandardsIgnoreEnd */
    }
}