<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
abstract class SemExpert_Oca_Block_Box_Form
extends Mage_Adminhtml_Block_Widget_Form
{
    const CLASS_HELPER = 'oca';
    const FORM_TITLE = 'Box details';

    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();

        $fieldset = $form->addFieldset(
            $this->getFormAction(),
            array('legend' => $this->_getHelper()->__(self::FORM_TITLE))
        );

        $fieldset->addField(
            'description',
            'text',
            array(
                'name'      => 'description',
                'title'     => $this->_getHelper()->__('Description'),
                'label'     => $this->_getHelper()->__('Description'),
                'maxlength' => '100',
                'required'  => true,
            )
        );

        $fieldset->addField(
            'length',
            'text',
            array(
                'name'      => 'length',
                'title'     => $this->_getHelper()->__('Largo (cm)'),
                'label'     => $this->_getHelper()->__('Largo (cm)'),
                'maxlength' => '100',
                'required'  => true,
                'class'  => 'validate-number validate-greater-than-zero'
            )
        );

        $fieldset->addField(
            'height',
            'text',
            array(
                'name'      => 'height',
                'title'     => $this->_getHelper()->__('Altura (cm)'),
                'label'     => $this->_getHelper()->__('Altura (cm)'),
                'maxlength' => '100',
                'required'  => true,
                'class'  => 'validate-number validate-greater-than-zero'
            )
        );

        $fieldset->addField(
            'width',
            'text',
            array(
                'name'      => 'width',
                'title'     => $this->_getHelper()->__('Ancho (cm)'),
                'label'     => $this->_getHelper()->__('Ancho (cm)'),
                'maxlength' => '100',
                'required'  => true,
                'class'  => 'validate-number validate-greater-than-zero'
            )
        );

        $form->setMethod('post');
        $form->setUseContainer(true);

        $form->setId('edit_form');

        $this->childFormSetup($fieldset, $form);

        $this->setForm($form);
    }

    public function _getHelper()
    {
        return Mage::helper(self::CLASS_HELPER);
    }
    
    abstract public function getFormAction();
    abstract public function childFormSetup($fieldset, $form);
}
