<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_Main extends Mage_Adminhtml_Block_Widget_Grid_Container
{
    const TEXT_ADD = 'Add New Box';
    const TEXT_MANAGE = 'Manage Boxes';

    const BLOCK_PREFIX = 'oca';
    const MAIN_BLOCK = 'box_main';

    const HELPER_CLASS = 'oca';

    public function __construct()
    {
        $this->_addButtonLabel = $this->_getHelper()->__(self::TEXT_ADD);
        parent::__construct();

        $this->_blockGroup = self::BLOCK_PREFIX;
        $this->_controller = self::MAIN_BLOCK;
        $this->_headerText = $this->_getHelper()->__(self::TEXT_MANAGE);
    }

    public function getHeaderHtml()
    {
        return '<h3 style="background-image: url('
            . $this->getSkinUrl('images/semexpert-icon.png')
            . ');" class="' . $this->getHeaderCssClass() . '">'
            . $this->getHeaderText() . '</h3>';
    }

    protected function _getHelper()
    {
        return Mage::helper(self::HELPER_CLASS);
    }
}
