<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Branch_Main_Grid extends Mage_Adminhtml_Block_Widget_Grid
{

    public function __construct()
    {
        parent::__construct();
        $this->setId('branchGrid');
        $this->_controller = 'branch';
    }

    protected function _prepareCollection()
    {
        $model = Mage::getModel('oca/branch');
        $collection = $model->getCollection();
        $this->setCollection($collection);

        return parent::_prepareCollection();
    }

    /**
     * @return $this
     * @throws Exception
     */
    protected function _prepareColumns()
    {
        $this->addColumn(
            'code',
            array(
                'header'        => Mage::helper('oca')->__('ID'),
                'align'         => 'right',
                'width'         => '50px',
                'filter_index'  => 'code',
                'index'         => 'code',
            )
        );
        
        $this->addColumn(
            'short_name',
            array(
                'header'        => Mage::helper('oca')->__('Short Name'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'short_name',
                'index'         => 'short_name',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );
                
        $this->addColumn(
            'description',
            array(
                'header'        => Mage::helper('oca')->__('Description'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'description',
                'index'         => 'description',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

                        
        $this->addColumn(
            'locality',
            array(
                'header'        => Mage::helper('oca')->__('Locality'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'locality',
                'index'         => 'locality',
                'type'          => 'text',
                'truncate'      => 50,
                'escape'        => true,
            )
        );

        $this->addColumn(
            'active',
            array(
                'header'        => Mage::helper('oca')->__('Status'),
                'align'         => 'left',
                'width'         => '150px',
                'filter_index'  => 'active',
                'index'         => 'active',
                'type'      => 'options',
                'options'   => array(
                    0 => Mage::helper('oca')->__('Disabled'),
                    1 => Mage::helper('oca')->__('Enabled')
                )
            )
        );

        return parent::_prepareColumns();
    }
    
        
    public function getRowUrl($row)
    {
        return $this->getUrl('*/*/edit', array('id' => $row->getId()));
    }
}