<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Helper_Product
extends Mage_Core_Helper_Abstract
{
    private function _getDimension($product, $dimension)
    {
        $_box = false;

        $boxId = $product->getBoxId();

        if (!empty($boxId)) {
            $_box = Mage::getModel('oca/box')->load($boxId);
            $boxId = $_box->getId();
        }

        // no tengo Id o la caja asociada no existe más
        if (empty($boxId)) {
            // si no hay caja, caigo en el fallback de 1
            $_box = false;
            $boxes = Mage::getModel('oca/box')->getCollection()
                ->addFieldToFilter('is_default', array('eq' => true));

            foreach ($boxes as $box) {
                $_box = $box;
                break;
            }
        }

        if ($_box && $_box->getData($dimension)) {
            return $_box->getData($dimension);
        }

        return 1;
    }

    public function getAlto($product)
    {
        return $this->_getDimension($product, 'height');
    }

    public function getAncho($product)
    {
        return $this->_getDimension($product, 'width');
    }

    public function getLargo($product)
    {
        return $this->_getDimension($product, 'length');
    }
}
