<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Source_Operatory_Calculator
{
    const DEFAULT_METHOD = 'oca/rate_calculator_ws';

    private $_methods = array(
        '0' => array(
            'label' => 'Web Service Oca',
            'class' => self::DEFAULT_METHOD
            ),
        '1' => array(
            'label' => 'Monto Fijo',
            'class' => 'oca/rate_calculator_fixed'
        )
    );
        
    public function getOptions()
    {
        $options = array();

        foreach ($this->_methods as $key => $definition) {
            $options[$key] = $definition['label'];
        }

        return $options;
    }

    public function getCalculator($methodId)
    {
        $methodId = intval($methodId);

        if (!isset($this->_methods[$methodId])) {
            return self::DEFAULT_METHOD;
        }

        return $this->_methods[$methodId]['class'];
    }
}
