<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_System_Config_Source_Payment
{
    private $_options;

    /**
     * Retrieve All options
     *
     * @return array
     */
    public function getAllOptions()
    {
        if (is_null($this->_options)) {
            $this->_options = array();
            $methodCount = 0;
            // usar getAllMethod en lugar de getActiveMethods para ver todos
            foreach (array_keys(Mage::getModel('payment/config')->getActiveMethods()) as $code) {
                $title = Mage::helper('payment')->__(Mage::getStoreConfig('payment/'.$code.'/title'));
                $this->_options["{$title}_$methodCount"] = array(
                    'label'   => $title,
                    'value' => $code,
                );
                $methodCount++;
            }
            usort($this->_options, array(__CLASS__, "cmp"));
        }
        return $this->_options;
    }

    public function cmp($optionA, $optionB)
    {
        if ($optionB['label'] == $optionA['label']) return 0;

        return ($optionB['label'] < $optionA['label']) ? 1 : -1;
    }

    /**
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @param bool $includeEmpty
     * @return array
     */
    public function toOptionArray($includeEmpty = false)
    {
        return $this->getAllOptions();
    }
}
