/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
var OcaCalculator = Class.create();

OcaCalculator.prototype = {
    initialize: function () {
        this.button = $('oca-submit');
        this.zipcode = $('oca-cp');

        Event.observe(this.button, 'click', this.submit.bindAsEventListener(this));
    },

    submit: function(event) {
        var zipcode = this.zipcode.value.replace(/ /,'');
        if (zipcode == '') {
            Event.stop(event);
            return false;
        }

        var self = this;
        new Ajax.Request(calculator_url.replace('{zip}', zipcode), {
          method:'get',
          onComplete: function(transport) {
            var data = {};
            if (transport.status == 200) {
                data = transport.responseText.evalJSON();
            } else if (transport.responseText) {
                data = {'message': transport.responseText };
            }

            if (data.status == 'ok') {
                self.showPrice(data);
            } else if (data.message) {
                self.showError(data.message);
            } else {
                self.showError('Ha ocurrido un error con el calculador.\n Por favor vuelva a intentarlo más tarde');
            }
          },
        });

    },
    showPrice: function (data) {
        var priceFormat = {"pattern":"$\u00a0%s","precision":2,"requiredPrecision":2,"decimalSymbol":",","groupSymbol":".","groupLength":3,"integerRequired":1};
        var price = formatCurrency(data.total, priceFormat);
        $$('.oca-result').each(function(element) {
            element.innerHTML = price;
        });
        $$('.oca-result-price-label span').each(function(element){
            element.style.display = "";
        });
    },
    showError: function (msg) {
        $$('.oca-result').each(function(element) {
            element.innerHTML = '&nbsp;';
        });
        $$('.oca-result-price-label span').each(function(element){
            element.style.display = "none";
        });
        alert(msg);
    }
}

